
QGIS Application - Bug report #3399

unitialized mouseButtonDown variable in qgsmapcanvas.cpp

2011-01-09 05:31 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13459

Description

in [[QgsMapCanvas]]::CanvasProperties the mouseButtonDown class member is not initialized. This causes the keyboard panning and

zooming not to work until after a mouse click occurs on the map canvas. The behavior may depend on the platform -- I noticed this on

Windows.

to demonstrate:

1. start QGIS

2. load a layer or project; the focus should be on the map canvas

3. use an arrow key to pan - nothing happens

4. click the mouse on the map

5. now an arrow key will pan

Associated revisions

Revision b543c66f - 2011-01-10 02:58 AM - Jürgen Fischer

fix #3399

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15013 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision fb0e20eb - 2011-01-10 02:58 AM - Jürgen Fischer

fix #3399

git-svn-id: http://svn.osgeo.org/qgis/trunk@15013 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-01-09 05:59 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in . Thanks.
